<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	
	<ui:define name="content">
		<h2>Nový zákazník</h2>
	    <h:form>
	    	<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				
				<h:outputLabel rendered="true" value="Jméno"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.jmeno}" required="true"
					requiredMessage="Jméno je povinné"
					validatorMessage="Neplatné jméno">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Příjmení"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.prijmeni}" required="true"
					requiredMessage="Příjmení je povinné"
					validatorMessage="Neplatné příjmení">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Jméno Firmy"></h:outputLabel>
				<h:inputText value="#{zakaznikBean.zakaznik.jmenoFirmy}">
				</h:inputText>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
				<h:commandButton action="#{zakaznikBean.actionInsertNew}" value="Uložit" styleClass="formbutton">
				</h:commandButton>
			</h:panelGrid>
	    </h:form>
	</ui:define>
</ui:composition>
</html>
